dnl TODO: Option to specify MIT Kerberos install location.

PHP_ARG_ENABLE(mysqlnd_krb, whether to enable mysqlnd,
[  --enable-mysqlnd_krb        Enable mysqlnd_krb extension], yes, yes)


dnl MIT Kerberos dependency.

AC_CHECK_PROG(KRB5_CONFIG, krb5-config, yes, no)

if test "$KRB5_CONFIG" == no; then
  AC_MSG_ERROR(
    [krb5-config not found in PATH! It is required for installing this extension (MIT Kerberos libraries must be installed in the system).]
  )
fi

KRB_INCLUDES=`krb5-config --cflags gssapi`
KRB_LIBS=`krb5-config --libs gssapi`

AC_MSG_NOTICE([krb libs: $KRB_LIBS])

EXTRA_CFLAGS="$KRB_INCLUDES $KRB_LIBS"
PHP_SUBST(EXTRA_CFLAGS)


dnl Extension definition.

CXXFLAGS='-std=c++17'
PHP_REQUIRE_CXX
AC_LANG([C++])

mysqlnd_krb_sources="php_mysqlnd_krb.c auth_kerberos.cc"

PHP_NEW_EXTENSION(
  mysqlnd_krb,
  $mysqlnd_krb_sources,
  $ext_shared,,
  -DZEND_ENABLE_STATIC_TSRMLS_CACHE=1,
dnl indicate C++ module
  1
)

PHP_ADD_EXTENSION_DEP(mysqlnd_krb, mysqlnd)

AC_MSG_NOTICE([Added mysqlnd_krb extension.])
